#ifndef XMODELCOLLSURF_H
#define XMODELCOLLSURF_H

#include "xasset.h"

#include <QVector3D>

class XModelCollSurf : public XAsset
{
public:
    XModelCollSurf();
    ~XModelCollSurf();

    virtual void ParseData(XDataStream* aStream) override;
    virtual void Clear() override;

private:
    QVector3D mMins;
    QVector3D mMaxs;
    int mBoneIdx;
    int mContents;
    int mSurfFlags;
};

#endif // XMODELCOLLSURF_H
